> ## Documentation Index
> Fetch the complete documentation index at: https://docs.midasprotocol.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Wallet

> Get instructions to deposit funds

## Request

<ParamField body="amount" type="number" required>
  Amount to deposit.
</ParamField>

<ParamField body="currency" type="string" required>
  Currency code.
</ParamField>

<ParamField body="method" type="string" required>
  One of `crypto_deposit` or `sepa_transfer`.
</ParamField>

```bash theme={null}
curl -X POST https://api.midasprotocol.org/wallets/fund \
  -H "Authorization: Bearer pp_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "amount": 100, "currency": "USDC", "method": "crypto_deposit" }'
```

## Response

```json theme={null}
{
  "walletId": "uuid",
  "method": "crypto_deposit",
  "instructions": {
    "address": "0x...",
    "network": "base",
    "currency": "USDC",
    "note": "Send USDC on Base network to this address"
  }
}
```
